Package it.ernytech.tdlib

## Class TdApi.UpdateUser

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateUser

Enclosing class:
  TdApi

    public static class TdApi.UpdateUser
    extends TdApi.Update

Some data of a user has changed. This update is guaranteed to come before the user identifier is returned to the client.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.User` `user` New data about the user.

### Constructor Summary

Constructors
`UpdateUser()` Default constructor.
`UpdateUser​(TdApi.User user)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### user

    public TdApi.User user

New data about the user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateUser

    public UpdateUser()

Default constructor.

#### UpdateUser

    public UpdateUser​(TdApi.User user)

Constructor for initialization of all fields.

Parameters:
  `user` - New data about the user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR